Applications
Get label
Get a single label available to the application (workspace-level or application-level) by ID or name. Requires applications:read (workspace key) or application:read (application key) scope.
GET
/applications/{application_id}/labels/{label_identifier}Authorization
bearerAuth AuthorizationBearer <token>
API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.
In: header
Path Parameters
application_id*string
Application ID.
label_identifier*string
Label ID or name.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.comapplications/aBc1234/labels/Production" \ -H "Authorization: Bearer YOUR_API_KEY"{ "message": "Application label retrieved successfully.", "data": { "id": "lbl1234", "name": "Production", "description": "Production-ready builds", "color": "#22c55e", "level": "application", "created_at": "2025-06-10T09:15:00.000000Z", "updated_at": "2025-06-15T14:30:00.000000Z", "application_id": "aBc1234", "workspace_id": "wSp1234" }}{ "message": "Unauthorized"}{ "message": "This action requires 'resource:action' scope."}Empty